{ pkgs, ... }: {
  imports = [ ./php.nix ./clojure.nix ./langs.nix ];

  home.packages = with pkgs; [
    gcc
    gnumake
    unzip
    openssl
    autoconf
    pkg-config
    bun
    rustup
    cmake

    # haskell stuff
    haskell.compiler.ghc910
    cabal-install
    stack

    # nix stuff
    nixpkgs-fmt
    nixfmt-classic
    nix-tree
    nil
    nixd

    # elixir stuff
    elixir
    elixir-ls
    inotify-tools

    # python
    python3
    uv
    basedpyright

    # misc
    flyctl
    httpie
    beekeeper-studio
    exercism
    neil
  ];
}
